List transcripts for a call
curl --request GET \
--url https://dev-public-api.openphone.dev/calls/{callId}/transcripts \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"recordingId": "CRwRVK2qBq",
"status": "completed",
"createdAt": "2022-01-01T00:00:00Z",
"duration": 100,
"dialogue": [
{
"content": "Hello, world!",
"start": 5.123456,
"end": 10.123456,
"identifier": "+19876543210",
"userId": "US123abc"
}
]
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/callId",
"message": "Expected string to match '^AC(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^AC(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "Call not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Calls
List transcripts for a call
Fetch a paginated list of a call’s transcripts, oldest first. A call that was paused and resumed has one recording per recorded segment, and one transcript per recording, so a single call can return several.
GET
/
calls
/
{callId}
/
transcripts
List transcripts for a call
curl --request GET \
--url https://dev-public-api.openphone.dev/calls/{callId}/transcripts \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"recordingId": "CRwRVK2qBq",
"status": "completed",
"createdAt": "2022-01-01T00:00:00Z",
"duration": 100,
"dialogue": [
{
"content": "Hello, world!",
"start": 5.123456,
"end": 10.123456,
"identifier": "+19876543210",
"userId": "US123abc"
}
]
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/callId",
"message": "Expected string to match '^AC(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^AC(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "Call not found",
"docs": "https://quo.com/docs",
"title": "Not Found",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Path Parameters
The unique identifier of the call whose transcripts are being listed.
Pattern:
^AC(.*)$Example:
"AC3700e624eca547eb9f749a06f2eb1"
Query Parameters
Max number of items to return per page.
Required range:
1 <= x <= 50Example:
"eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
Was this page helpful?